Skip to main content
`Ctrl`+`K`

# DMPlexStratifyMigrationSF

Rearrange the leaves of a migration sf for stratification.

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexStratifyMigrationSF(DM dm, PetscSF sf, PetscSF *migrationSF)

## Input Parameters

- dm - The DM

- sf - A star forest with non-ordered leaves, usually defining a DM point migration

## Output Parameter

- migrationSF - A star forest with added leaf indirection that ensures the resulting DM is stratified

## Note

This lexicographically sorts by (depth, cellType)

## See Also

`DMPLEX`, `DMPlexPartitionLabelCreateSF()`, `DMPlexDistribute()`, `DMPlexDistributeOverlap()`

## Level

developer

## Location

src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages